// ===| General |==============================================================
pref("startup.homepage_welcome_url","about:blank");
pref("app.vendorURL", "https://www.binaryoutcast.com/");
// User Interface
pref("browser.identity.ssl_domain_display", 1); //show domain verified SSL (blue)
// ============================================================================
// ===| Application Update Service |===========================================
// The time interval between the downloading of mar file chunks in the
// background (in seconds)
pref("app.update.download.backgroundInterval", 600);
// Give the user x seconds to react before showing the big UI. default=48 hours
pref("app.update.promptWaitTime", 172800);
// ============================================================================
// ===| Add-ons Manager |======================================================
// Add-on window fixes
pref("extensions.getMoreThemesURL", "https://addons.palemoon.org/themes/");
pref("extensions.update.autoUpdateDefault", true); // Automatically update extensions by default
pref("extensions.getAddons.maxResults", 10);
pref("extensions.getAddons.cache.enabled", false);
// ============================================================================
// ===| DOM |==================================================================
// ============================================================================
// ===| Plugins |==============================================================
pref("plugin.default.state", 2); //Allow plugins to run by default
pref("plugin.expose_full_path", true); //Security: expose the full path to the plugin
pref("dom.ipc.plugins.timeoutSecs", 20);
// ============================================================================
// ===| Graphics |=============================================================
pref("nglayout.initialpaint.delay", 300);
// ============================================================================
// ===| Image |================================================================
pref("image.mem.max_ms_before_yield", 50);
pref("image.mem.decode_bytes_at_a_time", 65536); //larger chunks
// ============================================================================
// ===| Sync |=================================================================
// Pale Moon Sync server URLs
pref("services.sync.serverURL","https://pmsync.palemoon.org/sync/index.php/");
pref("services.sync.jpake.serverURL","https://keyserver.palemoon.org/");
pref("services.sync.termsURL", "https://www.palemoon.org/sync/terms.shtml");
pref("services.sync.privacyURL", "https://www.palemoon.org/sync/privacy.shtml");
pref("services.sync.statusURL", "https://pmsync.palemoon.org/status/");
pref("services.sync.syncKeyHelpURL", "https://www.palemoon.org/sync/help/recoverykey.shtml");
pref("services.sync.APILevel", 1); // FSyncMS doesn't support 'info/configuration' requests
// ============================================================================
// ===| Misc. |================================================================
// Make sure we shortcut out of a11y to save walking unnecessary code
pref("accessibility.force_disabled", 1);
// Enable Firefox compatmode by default in official channels.
pref("general.useragent.compatMode", 2);
pref("general.useragent.compatMode.gecko", true);
pref("general.useragent.compatMode.firefox", true);
pref("general.useragent.compatMode.version", "102.0");
// Limit protocol fallback from TLS 1.3
pref("security.tls.version.fallback-limit", 4);
// ============================================================================
// ===| DevTools |=============================================================
// Number of usages of the web console or scratchpad.
// If this is less than 5, then pasting code into the web console or scratchpad is disabled
pref("devtools.selfxss.count", 100);
// ============================================================================
// ===| Site Specific User Agent Overrides |===================================
// %OS_SLICE% macro is resolved at runtime, see MoonchildProductions/UXP/issues/1473
// Special-case AMO
// We send the native UA slice now, since they no longer offer any compatible extensions for us.
// This will result in an "only with Firefox" message which suits us fine, because it's the truth.
pref("general.useragent.override.addons.mozilla.org","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
// Required for domains that are unresponsive to requests from users (or likely to be)
pref("general.useragent.override.aol.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.bing.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.dropbox.com","Mozilla/5.0 (%OS_SLICE% rv:68.9) Gecko/20100101 Firefox/68.9 (Pale Moon)");
pref("general.useragent.override.instagram.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0");
pref("general.useragent.override.kroger.com","Mozilla/5.0 (%OS_SLICE% rv:86.0) Gecko/20100101 Firefox/86.0 (Pale Moon)");
pref("general.useragent.override.live.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.msn.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.netteller.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.patientaccess.com","Mozilla/5.0 (%OS_SLICE% rv:60.0) Gecko/20100101 Firefox/60.0 PaleMoon/33.5.0a1");
pref("general.useragent.override.outlook.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.vimeo.com", "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) EdgiOS/102.0.1245.30 Version/15.0 Mobile/15E148 Safari/604.1");
pref("general.useragent.override.web.de","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.yahoo.com","Mozilla/5.0 (%OS_SLICE% rv:99.9) Gecko/20100101 Firefox/99.9");
pref("general.useragent.override.calendar.yahoo.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
// Soundcloud uses Firefox-exclusive combinations of code. Never pass Firefox slice.
pref("general.useragent.override.soundcloud.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.players.brightcove.net","Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko");
// Google fonts serves physically different fonts to later Firefox versions that render incorrectly unless on Gecko
pref("general.useragent.override.fonts.googleapis.com", "Mozilla/5.0 (%OS_SLICE% rv:61.9) Gecko/20100101 Firefox/61.9");
pref("general.useragent.override.fonts-api.wp.com", "Mozilla/5.0 (%OS_SLICE% rv:61.9) Gecko/20100101 Firefox/61.9");
// The following requires native mode. Or it blocks.. "too old firefox", breakage, etc.
pref("general.useragent.override.deviantart.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.deviantart.net","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.altibox.dk","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.altibox.no","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.firefox.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.mozilla.org","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.mozilla.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.github.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
pref("general.useragent.override.zoho.com","Mozilla/5.0 (%OS_SLICE% rv:6.7) Goanna/20230101 PaleMoon/33.5.0a1");
// UA-Sniffing domains below have indicated no interest in supporting Pale Moon (BOO!)
pref("general.useragent.override.humblebundle.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 (Pale Moon)");
pref("general.useragent.override.privat24.ua","Mozilla/5.0 (%OS_SLICE% rv:38.0) Gecko/20100101 Firefox/38.0");
pref("general.useragent.override.citi.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0 SeaMonkey/2.53.12");
pref("general.useragent.override.chase.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.facebook.com","Mozilla/5.0 (%OS_SLICE% rv:68.0) Gecko/20100101 Firefox/68.0 PaleMoon/33.5.0a1");
pref("general.useragent.override.mewe.com", "Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.spotify.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
// UA-sniffing domains that are "app/vendor-specific" and do not like Pale Moon
pref("general.useragent.override.web.whatsapp.com","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36");
pref("general.useragent.override.youtube.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.studio.youtube.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Goanna/6.7 Firefox/102.0 PaleMoon/33.5.0a1");
// The following domains do not like the Goanna slice
pref("general.useragent.override.bab.la","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.babla.gr","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.collinsdictionary.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.dictionary.cambridge.org","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.hitbox.tv","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.ldoceonline.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0");
pref("general.useragent.override.yuku.com","Mozilla/5.0 (%OS_SLICE% rv:102.0) Gecko/20100101 Firefox/102.0 PaleMoon/33.5.0a1");
// ============================================================================
//@line 5 "c:\binoczilla\src\binoc-central\ux\browser\branding\official\pref\palemoon-branding.js"
pref("startup.homepage_override_url","about:");
pref("app.releaseNotesURL", "about:buildconfig");
// Firefox compatmode is set in shared prefs.
// Enable dynamic UA updates
pref("general.useragent.updates.enabled", false);
pref("general.useragent.updates.interval", 86400); // Once per day
pref("general.useragent.updates.retry", 7200);     // Retry getting update every 2 hours if failed
pref("general.useragent.updates.url", "https://dua.palemoon.org/?app=palemoon&version=%APP_VERSION%&channel=%CHANNEL%");
// Geolocation
pref("geo.wifi.uri", "https://pro.ip-api.com/json/?fields=lat,lon,status,message&key=0tn5Ha0z0bfLc0b");
// ========================= updates ========================
//@line 22 "c:\binoczilla\src\binoc-central\ux\browser\branding\official\pref\palemoon-branding.js"
// Updates enabled
pref("app.update.enabled", true);
pref("app.update.cert.checkAttributes", false);
// Interval: Time between checks for a new version (in seconds) -- 2 days for Pale Moon
pref("app.update.interval", 172800);
pref("app.update.promptWaitTime", 86400);
// URL user can browse to manually if for some reason all update
// installation attempts fail.
pref("app.update.url.manual", "https://www.binaryoutcast.com/");
// A default value for the "More information about this update" link
// supplied in the "An update is available" page of the update wizard. 
pref("app.update.url.details", "about:");
